package com.zcloud.mapper.dsno2.corp;

import com.zcloud.entity.PageData;

/**
 * 说明：作业项数据清除(多项目通用)
 * 作者：zy
 * 时间：2020-09-18
 * 官网：www.zcloudchina.com
 */
public interface AllWorkItemMapper{

	/**删除有限空间审批单（pro端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteProLimitspace(PageData pd);

	/**删除有限空间审批单记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteYjbConLog(PageData pd);

	/**删除有限空间审批单安全措施（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteYjbConMeth(PageData pd);

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteYjbConAudit(PageData pd);

	/**删除有限空间审批单审核记录（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteYjbConGas(PageData pd);

	/**删除有限空间审批单（yjb端，公司试用结束时使用）
	 * @param pd
	 * @throws Exception
	 */
	void deleteYjbCon(PageData pd);




	void deleteYjbHighLog(PageData pd);
	void deleteYjbHighAudit(PageData pd);
	void deleteYjbHighApprove(PageData pd);
	void deleteYjbHighCheck(PageData pd);
	void deleteYjbHotLog(PageData pd);
	void deleteYjbHotAudit(PageData pd);
	void deleteYjbHotGas(PageData pd);
	void deleteYjbHotMeth(PageData pd);
	void deleteYjbHotCheck(PageData pd);
	void deleteYjbBlindLog(PageData pd);
	void deleteYjbBlindAudit(PageData pd);
	void deleteYjbBlindUnit(PageData pd);
	void deleteYjbBlindMeth(PageData pd);
	void deleteYjbBlindCheck(PageData pd);

}

